curl --request POST \
--url https://api.nuwebgroup.com/v1/guestdata \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"syncData": null,
"limit": 100,
"id": 1
},
{
"syncData": null,
"limit": 100,
"id": 2
}
]
}
'{
"content": {
"guestLists": [
{
"id": 1,
"eventId": 1,
"name": "Standard Guest List",
"description": "Guest list description"
},
{
"id": 2,
"eventId": 1,
"name": "VIP Guest List",
"description": "Guest list description"
}
],
"guests": [
{
"id": 1,
"barcode": "HFGR22USDJ34DF",
"eventId": 1,
"guestListId": 1,
"name": "John",
"surname": "Doe",
"email": "john_doe@example.com",
"orderReference": "RO3PMNGE1N",
"numOfGuests": 8,
"attended": 2,
"price": 1000,
"registrationStatus": "valid",
"registeredBy": "Staff User",
"notes": null,
"attendedModification": "2021-01-01T00:00:00.000Z",
"modificationDate": "2021-01-01T00:00:00.000Z",
"currencySymbol": "Β£",
"orderNotes": null
},
{
"id": 2,
"barcode": "GHER45ADS45F2QWE",
"eventId": 1,
"guestListId": 2,
"name": "John",
"surname": "Smith",
"email": "john_smith@example.com",
"orderReference": "RO3PMNGE1N",
"numOfGuests": 8,
"price": 1000,
"attended": 4,
"registrationStatus": "valid",
"registeredBy": "Staff User",
"notes": null,
"attendedModification": "2021-01-01T00:00:00.000Z",
"modificationDate": "2021-01-01T00:00:00.000Z",
"currencySymbol": "Β£",
"orderNotes": null
}
]
}
}Retrieves event guest list data and the guest items associated with each event guest list
curl --request POST \
--url https://api.nuwebgroup.com/v1/guestdata \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"syncData": null,
"limit": 100,
"id": 1
},
{
"syncData": null,
"limit": 100,
"id": 2
}
]
}
'{
"content": {
"guestLists": [
{
"id": 1,
"eventId": 1,
"name": "Standard Guest List",
"description": "Guest list description"
},
{
"id": 2,
"eventId": 1,
"name": "VIP Guest List",
"description": "Guest list description"
}
],
"guests": [
{
"id": 1,
"barcode": "HFGR22USDJ34DF",
"eventId": 1,
"guestListId": 1,
"name": "John",
"surname": "Doe",
"email": "john_doe@example.com",
"orderReference": "RO3PMNGE1N",
"numOfGuests": 8,
"attended": 2,
"price": 1000,
"registrationStatus": "valid",
"registeredBy": "Staff User",
"notes": null,
"attendedModification": "2021-01-01T00:00:00.000Z",
"modificationDate": "2021-01-01T00:00:00.000Z",
"currencySymbol": "Β£",
"orderNotes": null
},
{
"id": 2,
"barcode": "GHER45ADS45F2QWE",
"eventId": 1,
"guestListId": 2,
"name": "John",
"surname": "Smith",
"email": "john_smith@example.com",
"orderReference": "RO3PMNGE1N",
"numOfGuests": 8,
"price": 1000,
"attended": 4,
"registrationStatus": "valid",
"registeredBy": "Staff User",
"notes": null,
"attendedModification": "2021-01-01T00:00:00.000Z",
"modificationDate": "2021-01-01T00:00:00.000Z",
"currencySymbol": "Β£",
"orderNotes": null
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt
Use this file to discover all available pages before exploring further.
The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.
The ID of the company this operation should be performed against.
Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.
Request body for retrieving guest lists
The array of events in which we wish to retrieve guests lists for
Show child attributes